[jira] Created: (TIKA-265) Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (TIKA-265) Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release

JIRA jira@apache.org
Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release
-------------------------------------------------------------------------------------------------

                 Key: TIKA-265
                 URL: https://issues.apache.org/jira/browse/TIKA-265
             Project: Tika
          Issue Type: Bug
          Components: documentation
    Affects Versions: 0.4
         Environment: All
            Reporter: Karl Heinz Marbaise


The getting started web site does not correctly describe the information how to define Maven dependencies for working with Tika 0.4, based on the new module structure.




--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (TIKA-265) Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/TIKA-265?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12739603#action_12739603 ]

Chris A. Mattmann commented on TIKA-265:
----------------------------------------

See:

http://svn.apache.org/viewvc?rev=798263&view=rev

I'm not sure why this isn't getting pushed out to the Tika site -- Jukka?

> Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release
> -------------------------------------------------------------------------------------------------
>
>                 Key: TIKA-265
>                 URL: https://issues.apache.org/jira/browse/TIKA-265
>             Project: Tika
>          Issue Type: Bug
>          Components: documentation
>    Affects Versions: 0.4
>         Environment: All
>            Reporter: Karl Heinz Marbaise
>
> The getting started web site does not correctly describe the information how to define Maven dependencies for working with Tika 0.4, based on the new module structure.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Resolved: (TIKA-265) Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/TIKA-265?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Jukka Zitting resolved TIKA-265.
--------------------------------

    Resolution: Fixed

Bugger, it was another problem in my site update script. I've now fixed that, and the updates should be up in a few hours.

> Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release
> -------------------------------------------------------------------------------------------------
>
>                 Key: TIKA-265
>                 URL: https://issues.apache.org/jira/browse/TIKA-265
>             Project: Tika
>          Issue Type: Bug
>          Components: documentation
>    Affects Versions: 0.4
>         Environment: All
>            Reporter: Karl Heinz Marbaise
>
> The getting started web site does not correctly describe the information how to define Maven dependencies for working with Tika 0.4, based on the new module structure.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (TIKA-265) Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/TIKA-265?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12739623#action_12739623 ]

Karl Heinz Marbaise commented on TIKA-265:
------------------------------------------

Hi,

taken a look into the revision but there is only mentioned:
the following which is in my opinion not correct...
---
<dependency>
<groupId>org.apache.tika</groupId>
<artifactId>tika</artifactId>
<version>x.y</version>
</dependency>
---
It is needed to have two dependencies tika-core and tika-parsers as i correctly understand that...

The artifacts which are created by the build are

tika-parsers-0.4, tika-parser-0.4-jdk14,
tika-core-0.4.jar, tika-core-0.4-jdk14.jar and tika-app-0.4.jar....

The example for the command line uses tika-x.y.jar instead of tika-app-x.y.jar as mentioned in the CHANGES.txt file...

The Ant example does only use the tika-x.y.jar instead of tika-core-x.y.jar, tika-parser-x.y.jar etc. It uses poi-3.1... dependencies ...whereas tika-0.4 uses POI 3.5-beta6...
and the Ant examples use icu... as dependency which is not used anymore (AFAIK)...

The diff on that revision shows me that only the dependency tree has been updated but no other area of the page...(http://svn.apache.org/viewvc/lucene/tika/trunk/src/site/apt/gettingstarted.apt?r1=769413&r2=798263&pathrev=798263)

Kind regards
Karl Heinz

> Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release
> -------------------------------------------------------------------------------------------------
>
>                 Key: TIKA-265
>                 URL: https://issues.apache.org/jira/browse/TIKA-265
>             Project: Tika
>          Issue Type: Bug
>          Components: documentation
>    Affects Versions: 0.4
>         Environment: All
>            Reporter: Karl Heinz Marbaise
>
> The getting started web site does not correctly describe the information how to define Maven dependencies for working with Tika 0.4, based on the new module structure.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (TIKA-265) Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/TIKA-265?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12739756#action_12739756 ]

Jukka Zitting commented on TIKA-265:
------------------------------------

I updated the Getting Started page in revision 801412. The changes should be online in a few hours.

> Web-Site http://lucene.apache.org/tika/gettingstarted.html does not correspond to current release
> -------------------------------------------------------------------------------------------------
>
>                 Key: TIKA-265
>                 URL: https://issues.apache.org/jira/browse/TIKA-265
>             Project: Tika
>          Issue Type: Bug
>          Components: documentation
>    Affects Versions: 0.4
>         Environment: All
>            Reporter: Karl Heinz Marbaise
>
> The getting started web site does not correctly describe the information how to define Maven dependencies for working with Tika 0.4, based on the new module structure.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.